| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class TyploseVariable

    java.lang.Object
      |
      +--Type
            |
            +--TyploseVariable

public class TyploseVariable
extends Type

Field Summary
`private static java.lang.String` | `strNextName`

Fields inherited from class Type
`hamaDebug, type, used`

Constructor Summary
`TyploseVariable(java.lang.String strType)`

Method Summary
`private static void` | `inc(int i)`
`static java.lang.String` | `makeNewName()`
`private static void` | `manipulate(int nStelle, char nWert)`

Methods inherited from class Type
`get_codegen_Type, get_Name, get_Type, get_UsedId, set_Type, set_UsedId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### strNextName

    private static java.lang.String strNextName

Constructor Detail

### TyploseVariable

    public TyploseVariable(java.lang.String strType)

Method Detail

### makeNewName

    public static java.lang.String makeNewName()

### inc

    private static void inc(int i)

### manipulate

    private static void manipulate(int nStelle,
                                   char nWert)

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD